Skip to main content
GET
Get a Signal

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

id
string
required

The unique identifier (ID) of a Signal.

Response

Success

A Signal with its assigned Recipients.

id
string
required
read-only

Unique identifier (ID) of the Signal.

Example:

"hcasp_01j9x1yq0k2t8m9n3v4b5r6c7d"

service_name
string
required
read-only

The name of the service the Signal monitors.

Example:

"checkout-api"

dataset_slug
string
required
read-only

The slug of the dataset the Signal's service reports to.

Example:

"checkout-api"

environment_slug
string
required
read-only

The slug of the environment the Signal belongs to.

Example:

"production"

measured_signal
enum<string>
required

The kind of measurement the Signal is trained on.

Available options:
error_rate,
presence
Example:

"error_rate"

enabled
boolean
required

Whether the Signal is currently enabled. Disabled Signals do not fire.

Example:

true

status
enum<string>
required

The lifecycle status of the Signal.

Available options:
onboarding,
training,
active,
false,
ineligible
Example:

"active"

sensitivity
enum<string> | null
required

How far a measurement must deviate from the trained normal band before the Signal fires. Always null for presence Signals, and null for any Signal that has not yet trained.

Available options:
low,
medium,
high
Example:

"medium"

auto_investigate
boolean
required
read-only

When true, Honeycomb will automatically start an investigation when this Signal fires.

Example:

false

currently_anomalous
boolean
required
read-only

Whether the Signal is currently in an anomalous state.

Example:

false

last_anomaly_started_at
integer | null
required
read-only

The start time of the most recent anomaly, in seconds since UNIX epoch. null when the Signal has never been anomalous.

Example:

1741089600

last_anomaly_ended_at
integer | null
required
read-only

The end time of the most recent anomaly, in seconds since UNIX epoch. null when no anomaly has ended yet, or the Signal is currently anomalous.

Example:

1741093200

created_at
string<date-time>
required
read-only

The ISO8601-formatted time when the Signal was created.

Example:

"2025-02-14T17:32:11Z"

updated_at
string<date-time>
required
read-only

The ISO8601-formatted time when the Signal was last updated.

Example:

"2025-03-01T10:04:22Z"

recipients
object[]
required

The Recipients notified when this Signal fires.

Example: